PDA

View Full Version : jdk dependency problem



patter
27th October 2006, 05:20 PM
When I run yum update I get stopped with the following dependency problem:

Error: Missing Dependency: jdk = 2000:1.5.0_09-fcs is needed by package java-1.5.0-sun-compat

So I downloaded jdk-1_5_0_09-linux-i586-rpm.bin and tried: sh jdk-1_5_0_09-linux-i586-rpm.bin

And it is already installed:

Preparing... ########################################### [100%]
package jdk-1.5.0_09-fcs is already installed

Does anyone know what is going wrong here?

Also why doesn't yum go ahead and install the updates that don't have related dependencies?

Thanks.